#include "ErrorView.h"
#include <iostream>	// TEST CODE
using namespace std;
#include "MainFrame.h"
CErrorView::CErrorView():
ScrolledWindow()
{
	add( m_TreeView );
	set_policy( Gtk::POLICY_AUTOMATIC, Gtk::POLICY_AUTOMATIC );
	m_pTreeModel = Gtk::ListStore::create( m_Column );
	m_TreeView.set_model( m_pTreeModel );
	m_TreeView.append_column( "Module ID", m_Column.m_uiModuleId );
	m_TreeView.append_column( "Module Name", m_Column.m_strModuleName );
	m_TreeView.append_column( "Error No", m_Column.m_uiErrorNo );
	m_TreeView.append_column( "Error Text", m_Column.m_strErrorText );
	show_all_children();
}
CErrorView::~CErrorView()
{

}
void CErrorView::OnNotifyError ( unsigned int uiModuleId , unsigned int uiErrorNo , char* pErrorText )
{
	char* pszModuleName = g_pmfMainFrame->GetModuleName( uiModuleId );
	if ( pszModuleName == NULL )
	{
		return;
	}
	TreeModel::Row AddedRow = *( m_pTreeModel->append() );
	AddedRow[ m_Column.m_uiModuleId ] = uiModuleId;
	AddedRow[ m_Column.m_strModuleName ] = ustring( pszModuleName );
	AddedRow[ m_Column.m_uiErrorNo ] = uiErrorNo;
	AddedRow[ m_Column.m_strErrorText ] = locale_to_utf8( pErrorText );
}
void CErrorView::Reset()
{
	m_pTreeModel->clear();
}

