#include "ProjFileTreeFile.h"
#include <iostream>	// TEST CODE
#include <string>
using namespace std;
CProjFileTreeFile::CProjFileTreeFile()
{
	m_nItemType = PROJ_FILE_TREE_FILE;
}
CProjFileTreeFile::~CProjFileTreeFile()
{

}
void CProjFileTreeFile::Save( RefPtr< FileOutputStream > pFileOutputStream, int nChildCount, const string& strName, const string& strFileName, bool bOpen )
{
	CProjFileTreeItem::Save( pFileOutputStream, nChildCount, strName );
	int nFileNameLength = int( strFileName.size() );
	pFileOutputStream->write( &nFileNameLength, sizeof( nFileNameLength ) );
	pFileOutputStream->write( strFileName );
	pFileOutputStream->write( &bOpen, sizeof( bOpen ) );
}
void CProjFileTreeFile::Load( RefPtr< FileInputStream > pFileInputStream )
{
	CProjFileTreeItem::Load( pFileInputStream );
	int nFileNameLength;
	pFileInputStream->read( &nFileNameLength, sizeof( nFileNameLength ) );
	char* pszFileName = new char [ nFileNameLength + 1 ];
	pFileInputStream->read( pszFileName, nFileNameLength );
	pszFileName [ nFileNameLength ] = 0;
	m_strFileName = pszFileName;
	delete [] pszFileName;
	pFileInputStream->read( &m_bOpen, sizeof( m_bOpen ) );
}
int CProjFileTreeFile::GetChildCount() const
{
	return CProjFileTreeItem::GetChildCount();
}
string CProjFileTreeFile::GetItemName() const
{
	return CProjFileTreeItem::GetItemName();
}
string CProjFileTreeFile::GetFileName() const
{
	return m_strFileName;
}
bool CProjFileTreeFile::GetOpen() const
{
	return m_bOpen;
}


