#ifndef SWA_PROJ_FILE_TREE_FILE_H
#define SWA_PROJ_FILE_TREE_FILE_H
#include "ProjFileTreeItem.h"
class CProjFileTreeFile : public CProjFileTreeItem
{
protected:
	string m_strFileName;
	bool m_bOpen;
public:
	CProjFileTreeFile();
	virtual ~CProjFileTreeFile();
	virtual void Save( RefPtr< FileOutputStream > pFileOutputStream, int nChildCount, const string& strName, const string& strFileName, bool bOpen );
	virtual void Load( RefPtr< FileInputStream > pFileInputStream );
	virtual int GetChildCount() const;
	virtual string GetItemName() const;
	virtual string GetFileName() const;
	virtual bool GetOpen() const;
};
#endif


