#ifndef PC
	#include <unistd.h>
	#include <signal.h>
#else
	int unlink(const char*);
	int close(int);
#endif

#ifndef BINDIR
	#ifdef PC
		#define BINDIR	""
	#else
		#define BINDIR	""
	#endif
#endif

#ifndef LX
	#define LX	"uno_local"
#endif

#ifndef GX
	#define GX	"uno_global"
#endif

/* #define MODULE_NAME		"UnoLexerModule"
#define MODULE_ID		0
#define MODULE_REVISION_NO	1.0 */

static int  localonly, usecheck;
static int  glob_base, verbose, glob_prop;
static char *w_dir;

#define BSIZE	4096

static char loc_args[BSIZE];
static char glob_cmd[BSIZE];
static char buf[BSIZE];

typedef struct Fnm Fnm;
struct Fnm 
{
	char *f;
	Fnm *nxt;
};

static Fnm *fnames;

char* m_pText;
char* m_pData;
char* m_pBuf;

int g_nCheckOption;

//  ϱ  ʱȭ , free ݵ

typedef struct Argument ARGUMENT;
struct Argument
{
	char**	m_ppArgument;
	int	m_nArgumentCount;
};

// --------------------------
ARGUMENT MainArgument;
ARGUMENT LocalArgument;
ARGUMENT GlobalArgument;
// --------------------------

extern void	SetArgument( ARGUMENT* pArgument , unsigned int uiIsLocal );
extern int	GlobalCheck(int argc, char **argv);
extern int	LocalCheck(int argc, char **argv);

int UnoCheck( char* pBuffer );
int UnoCheckEx( int argc, char *argv[] );
